{{page-title this.term ' ' (capitalize (t 'maps'))}}

<div class='main-container'>
  <div class='view-browse'>

    <Filters::Bar>
      <Manage::Toolbar::ViewMode
        @allowCardDeck={{true}}
        @allowList={{true}}
        @value={{this.viewMode}}
        @default='card-deck'
        @onChange={{this.changeViewMode}}
      />

      <Filters::SearchOptions
        class='d-none'
        @title={{t 'area'}}
        @niceValue={{this.areaFilter.label}}
        @value={{this.areaFilter.name}}
        @onHide={{this.areaFilter.hide}}
        @onReset={{this.areaFilter.reset}}
        @onSelect={{this.areaFilter.select}}
        @onSearch={{this.areaFilter.search}}
      >
        <hr class='m-0' />

        {{#if this.areas.length}}
          <div class='list-group list-group-flush'>
            {{#each this.areas as |area|}}
              <button
                type='button'
                class='list-group-item list-group-item-action'
                {{on 'click' (fn this.areaFilter.select area)}}
              >
                {{area.name}}
              </button>
            {{/each}}
          </div>
        {{/if}}
      </Filters::SearchOptions>

      {{#if this.user.id}}
        <Filters::SearchOptions
          @title={{t 'team'}}
          @niceValue={{this.teamFilter.label}}
          @value={{this.teamFilter.name}}
          @placeholder={{t 'search team'}}
          @onHide={{this.teamFilter.hide}}
          @onReset={{this.teamFilter.reset}}
          @onSelect={{this.teamFilter.select}}
          @onSearch={{this.teamFilter.search}}
        >
          {{#if this.teamSuggestions.length}}
            <hr class='m-0' />

            <div class='list-group list-group-flush'>
              {{#each this.teamSuggestions as |team|}}
                <button
                  type='button'
                  class='list-group-item list-group-item-action'
                  {{on 'click' (fn this.teamFilter.select team)}}
                >
                  {{team.name}}
                </button>
              {{/each}}
            </div>
          {{/if}}
        </Filters::SearchOptions>

        <Filters::Visibility
          @value={{this.published}}
          @onChange={{this.changePublished}}
        />
      {{/if}}

      {{#if this.tag}}
        <Filters::Pill
          @icon='hashtag'
          @value={{this.tag}}
          @onReset={{this.removeTag}}
        />
      {{/if}}

      <Filters::Search
        @class='ms-auto'
        @value={{this.search}}
        @hasSuggestions={{this.searchStorage.history.length}}
        @isSearching={{this.isSearching}}
        @onSearch={{this.performSearch}}
      >
        {{#if this.searchStorage.history.length}}
          <Filters::OptionList
            @title={{t 'recent searches'}}
            @onSelect={{this.performSearch}}
            @values={{this.searchStorage.history}}
          />
        {{/if}}
      </Filters::Search>
    </Filters::Bar>

    <div class='container pt-5 pb-5'>
      <h1 class='capitalize-first-letter'>{{t 'maps'}}</h1>

      <Breadcrumbs @value={{this.breadcrumbs}} />

      {{#if this.search}}
        <SearchResultsLabel
          @term={{this.search}}
          @results={{@model.buckets.content}}
        />
      {{/if}}

      <Manage::List
        @isEditable={{this.isEditable}}
        @viewMode={{this.viewMode}}
        @actions={{this.modelActions}}
        @columns={{@model.maps.buckets}}
        @header={{concat (t 'name') ',' (t 'description')}}
        @deleteOptions={{concat 'yes:' (t 'yes and remove sites')}}
        @onSelect={{this.select}}
        @onAction={{this.handleAction}}
        @onDelete={{this.deleteRecord}}
        as |section actions|
      >
        <Manage::MapLegacy @section={{section}} @actions={{actions}} />
      </Manage::List>

      <LazyListLoadMore @lazyList={{@model.maps}} class="mb-5" />
    </div>
  </div>
</div>